Bug 1130096 - vconsole keymap changed from mac-fr to mac
Summary: vconsole keymap changed from mac-fr to mac
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 20
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: dracut-maint-list
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1144789 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-14 10:30 UTC by Jeroen Wouters
Modified: 2015-08-17 11:12 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 01:20:11 UTC


Attachments (Terms of Use)

Description Jeroen Wouters 2014-08-14 10:30:11 UTC
Description of problem:
Since kernel version 3.15.6, the file /etc/vconsole.conf in the initramfs file has changed from fr-mac to fr. This can cause problems when entering a luks password on boot.

Version-Release number of selected component (if applicable):
dracut 11.git20140402.fc20
kernel 3.15.7

Steps to Reproduce:
1. Install Fedora 20 with French mac keyboard layout
2. Upgrade
3. Reboot

Actual results:
Keymap is changed from the original mac-fr to fr:

$ sudo lsinitrd -f /etc/vconsole.conf /boot/initramfs-3.15.4-200.fc20.x86_64.img
KEYMAP="fr-mac"
FONT="latarcyrheb-sun16"

$ sudo lsinitrd -f /etc/vconsole.conf /boot/initramfs-3.15.6-200.fc20.x86_64.img
KEYMAP=fr
FONT=latarcyrheb-sun16

Expected results:
Keymap remains the same.

Comment 1 Harald Hoyer 2014-08-14 10:42:49 UTC
dracut just copies the file  /etc/vconsole.conf  from your root filesystem.

Comment 2 Jeroen Wouters 2014-08-14 10:52:09 UTC
Sorry, I realize now this has nothing to do with dracut. The problem lies with control-center.

Steps to Reproduce:
1. Set keyboard layout to "French (Macintosh)" in "Region & Language"
2. Add second keyboard layout

Actual results:
/etc/vconsole.conf contains "KEYMAP=fr". Note that it correctly says "KEYMAP=fr-mac" whenever this is the only layout listed in control center.

Expected results:
/etc/vconsole.conf contains "KEYMAP=fr-mac" when "French (Macintosh)" is the selected keyboard layout

Comment 3 Bastien Nocera 2014-08-14 12:05:29 UTC
gnome-control-center just calls the "SetX11Keyboard" method, systemd is the one converting from X11 layout to linux console layout.

See:
http://cgit.freedesktop.org/systemd/systemd/tree/src/locale/kbd-model-map

Comment 4 Zbigniew Jędrzejewski-Szmek 2014-09-01 15:42:46 UTC
I can't reproduce that. Both using gnome-control-center → Region&Language → Input sources → Login screen → French (Macintosh) and 'localectl set-x11-keyboard-map fr-mac' result in KEYMAP=fr-mac in /etc/vconsole.conf. You didn't mention which keyboad you set (The "login screen" one, which is global, or just the user's). Please make sure that the "login screen" one is set to French (macintosh), and then verify /etc/vconsole.conf.

If this doesn't work, please try 'localectl set-x11-keyboard-map fr-mac', and paste /etc/vconsole.conf here, along with systemd and control-center rpm versions.

Comment 5 Jeroen Wouters 2014-09-03 09:07:15 UTC
It looks like I am encountering two problems: one being the "Login screen" button under "Region & Language" disappearing. This happens when I authenticate as superuser to add a keyboard, go back to the "All Settings" screen and then return to "Region & Language". Is this a bug or expected behavior?

Regarding the original problem, this occurs when adding a second keyboard layout besides the "French (Macintosh)" one in the "Login screen" part (and also in the user's part when authenticated as superuser).

When I have "French (Macintosh)" and "English (UK)" in the "Login screen" part, I get "KEYMAP=fr" in /etc/vconsole.conf. If I then remove "English (UK)", I get "KEYMAP=fr-mac". For some layouts this doesn't happen though (for example with "Russian (translit (m17n))").

systemd version 208 release 21.fc20
control-center version 3.10.3 release 2.fc20

Comment 6 Zbigniew Jędrzejewski-Szmek 2014-09-04 03:19:01 UTC
Fixed upstream in http://cgit.freedesktop.org/systemd/systemd/commit/?id=78bd12a05a. Can't make any promises about backporting atm though.

Comment 7 Zbigniew Jędrzejewski-Szmek 2014-09-23 11:57:16 UTC
*** Bug 1144789 has been marked as a duplicate of this bug. ***

Comment 8 Jan Synacek 2015-01-07 08:16:36 UTC
The patch mentioned in comment 6 is already present in systemd-208-28.fc20.x86_64. 

Jeroen, could you please verify that the problem is no longer present? Thank you!

Comment 9 Fedora End Of Life 2015-05-29 12:38:01 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2015-06-30 01:20:11 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 11 Jeroen Wouters 2015-08-17 11:12:40 UTC
I can no longer reproduce this in F22.


Note You need to log in before you can comment on or make changes to this bug.